Subject: bug#50749: 28.0.50; three gnus-icalendar issues w.r.t. RFC5546 and party crashers

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 01 Oct 2021 14:15:16 +0200

Alexandre Duret-Lutz <[email-masked]> writes:

>> Great!   I'll mark this bug as "pending" as in "to be applied when the
>> paperwork is done".
>
> Assignment is now on file.

I forgot to check whether there were any test regressions.
gnus-icalendar-parse fails, but the following change makes it pass.

I'm not very familiar with this code -- was this change intended?

diff --git a/test/lisp/gnus/gnus-icalendar-tests.el b/test/lisp/gnus/gnus-icalendar-tests.el
index 90c3a34a5c..61fe9701fe 100644
--- a/test/lisp/gnus/gnus-icalendar-tests.el
+++ b/test/lisp/gnus/gnus-icalendar-tests.el
@@ -103,7 +103,7 @@ gnus-icalendar-parse
                       (should (string= (format-time-string "%Y-%m-%d %H:%M" end-time) "2020-12-08 16:00"))
                       (should (string= uid "[email-masked]"))
                       (should (not rsvp))
-                      (should (eq participation-type 'non-participant))))
+                      (should (eq participation-type 'required))))
       (setenv "TZ" tz))))
 
 (ert-deftest gnus-icalendary-byday ()

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no